Loading...
Searching...
No Matches
PurpleMediaAppDataCallbacks Struct Reference

PurpleMediaAppDataCallbacks: @readable: Called when the stream has received data and is readable. More...

`#include <mediamanager.h>`

## Data Fields

void(* | readable )(PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gpointer user_data)
void(* | writable )(PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gboolean writable, gpointer user_data)

## Detailed Description

PurpleMediaAppDataCallbacks: @readable: Called when the stream has received data and is readable.

@writable: Called when the stream has become writable or has stopped being writable.

A set of callbacks that can be installed on an Application data session with purple_media_manager_set_application_data_callbacks()

Once installed the @readable callback will get called as long as data is available to read, so the data must be read completely. The @writable callback will only be called when the writable state of the stream changes. The @writable argument defines whether the stream has become writable or stopped being writable.

Definition at line 57 of file mediamanager.h.

## Field Documentation

## readable

void(* PurpleMediaAppDataCallbacks::readable) (PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gpointer user_data)

Definition at line 58 of file mediamanager.h.

## writable

void(* PurpleMediaAppDataCallbacks::writable) (PurpleMediaManager *manager, PurpleMedia *media, const gchar *session_id, const gchar *participant, gboolean writable, gpointer user_data)

Definition at line 60 of file mediamanager.h.

The documentation for this struct was generated from the following file:

- mediamanager.h